% This script illustrates inline functions
%
clc
disp('                        Inline Functions')
disp(' ')
disp('We can also use the inline command to perform the circle calculations.')
disp('This can be done directly at the command prompt (or in our current file).')
disp('We type')
disp('>> circumference = inline(''2*pi*r'')')
circumference = inline('2*pi*r')
disp('Paused...Please hit a key to continue')
pause
disp('and')
disp('>> area = inline(''pi*r.^2'')')
area = inline('pi*r.^2')
disp('Paused...Please hit a key to continue')
pause

disp('Inline functions are evaluated using the feval command.')
disp('To get the circumference of a circle with radius 5 we use')
disp('>> feval(circumference,5)')
feval(circumference,5)
disp('Paused...Please hit a key to continue')
pause

disp('To get both values we use, e.g.,')
disp('>> circledata = [feval(circumference,5); feval(area,5)]')
circledata = [feval(circumference,5); feval(area,5)]
disp('Paused...Please hit a key to continue')
pause

disp('Vectorized usage:')
disp('>> circledata = [feval(circumference,[2 4 6]); feval(area,[2 4 6])]')
circledata = [feval(circumference,[2 4 6]); feval(area,[2 4 6])]

